---
title: "List videoassets"
description: "Video processing status for files owned by this course. Provider asset identifiers, source versions, and provider error details are not served.\n\n### Quire permissions\n\nRequired capability: `activity/view`.\n\nCredential scopes: `files:read`.\n\nThe acting subject must also be allowed to perform this action in the organisation."
image: "https://docs.quirelms.com/og.png"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.quirelms.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Quire API › files

`GET /courses/{course_id}/video_assets`

Video processing status for files owned by this course. Provider asset identifiers, source versions, and provider error details are not served.

\### Quire permissions

Required capability: `activity/view`.

Credential scopes: `files:read`.

The acting subject must also be allowed to perform this action in the organisation.

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`, scopes: `files:read`
- `oauth2`, oauth2, scopes: `files:read`

## Path parameters

- `listCourseVideoAssets.path.course_id` (string, required)

## Query parameters

- `listCourseVideoAssets.query.cursor` (string, optional)
- `listCourseVideoAssets.query.file_id` (string, optional)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`
- `listCourseVideoAssets.query.limit` (integer, optional)
  - min 1; max 9007199254740991
- `listCourseVideoAssets.query.status` (string, optional)
  - one of `"pending"`, `"uploading"`, `"transcoding"`, `"ready"`, `"errored"`
- `listCourseVideoAssets.query.updated_since` (string, optional) — Only rows changed at or after this instant, sorted by updated_at then id. At most 90 days ago; a sync older than that has to start again from the beginning.
  - format `date-time`; pattern `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`

## Header parameters

- `listCourseVideoAssets.header.Quire-Version` (string, optional) — The dated API revision to serve this request at. Omitted, the request is served at the revision the credential was issued against. The response echoes the revision actually applied.
  - format `date`

## Code samples

### cURL

```curl
curl --request GET \
  --url https://your-organisation.quirelms.com/api/v1/courses/string/video_assets \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://your-organisation.quirelms.com/api/v1/courses/string/video_assets';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://your-organisation.quirelms.com/api/v1/courses/string/video_assets"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Success.

#### Example

```json
{
  "data": [
    {
      "id": "string",
      "file_id": "string",
      "course_id": "string",
      "provider": "string",
      "status": "pending",
      "duration_seconds": -9007199254740991,
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "page": {
    "next_cursor": "string",
    "has_more": true,
    "limit": -9007199254740991
  }
}
```

- `listCourseVideoAssets.response.200.data` (array<object>, required)
  - `listCourseVideoAssets.response.200.data.id` (string, required)
  - `listCourseVideoAssets.response.200.data.file_id` (string, required)
  - `listCourseVideoAssets.response.200.data.course_id` (string, required)
  - `listCourseVideoAssets.response.200.data.provider` (string, required)
  - `listCourseVideoAssets.response.200.data.status` (string, required)
    - one of `"pending"`, `"uploading"`, `"transcoding"`, `"ready"`, `"errored"`
  - `listCourseVideoAssets.response.200.data.duration_seconds` (any of, required)
    - any of: `integer`, `null`
  - `listCourseVideoAssets.response.200.data.created_at` (string, required) — RFC 3339 timestamp in UTC.
  - `listCourseVideoAssets.response.200.data.updated_at` (string, required) — RFC 3339 timestamp in UTC.
- `listCourseVideoAssets.response.200.page` (object, required)
  - `listCourseVideoAssets.response.200.page.next_cursor` (string | null, required)
  - `listCourseVideoAssets.response.200.page.has_more` (boolean, required)
  - `listCourseVideoAssets.response.200.page.limit` (integer, required)
    - min -9007199254740991; max 9007199254740991

### 401

The credential is missing, malformed, expired or revoked.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `listCourseVideoAssets.response.401.type` (string, required)
  - format `uri`
- `listCourseVideoAssets.response.401.title` (string, required)
- `listCourseVideoAssets.response.401.status` (integer, required)
- `listCourseVideoAssets.response.401.code` (string, required)
- `listCourseVideoAssets.response.401.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `listCourseVideoAssets.response.401.detail` (string, required)
- `listCourseVideoAssets.response.401.request_id` (string, required)
- `listCourseVideoAssets.response.401.docs_url` (string, required)
  - format `uri`
- `listCourseVideoAssets.response.401.errors` (array<object>, optional)
  - `listCourseVideoAssets.response.401.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `listCourseVideoAssets.response.401.errors.code` (string, required)
  - `listCourseVideoAssets.response.401.errors.detail` (string, required)
- `listCourseVideoAssets.response.401.retry_after` (integer | null, optional)

### 403

The credential lacks the scope this operation requires, or the acting subject lacks the capability.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `listCourseVideoAssets.response.403.type` (string, required)
  - format `uri`
- `listCourseVideoAssets.response.403.title` (string, required)
- `listCourseVideoAssets.response.403.status` (integer, required)
- `listCourseVideoAssets.response.403.code` (string, required)
- `listCourseVideoAssets.response.403.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `listCourseVideoAssets.response.403.detail` (string, required)
- `listCourseVideoAssets.response.403.request_id` (string, required)
- `listCourseVideoAssets.response.403.docs_url` (string, required)
  - format `uri`
- `listCourseVideoAssets.response.403.errors` (array<object>, optional)
  - `listCourseVideoAssets.response.403.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `listCourseVideoAssets.response.403.errors.code` (string, required)
  - `listCourseVideoAssets.response.403.errors.detail` (string, required)
- `listCourseVideoAssets.response.403.retry_after` (integer | null, optional)

### 404

No such resource, or none this credential is permitted to know about.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `listCourseVideoAssets.response.404.type` (string, required)
  - format `uri`
- `listCourseVideoAssets.response.404.title` (string, required)
- `listCourseVideoAssets.response.404.status` (integer, required)
- `listCourseVideoAssets.response.404.code` (string, required)
- `listCourseVideoAssets.response.404.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `listCourseVideoAssets.response.404.detail` (string, required)
- `listCourseVideoAssets.response.404.request_id` (string, required)
- `listCourseVideoAssets.response.404.docs_url` (string, required)
  - format `uri`
- `listCourseVideoAssets.response.404.errors` (array<object>, optional)
  - `listCourseVideoAssets.response.404.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `listCourseVideoAssets.response.404.errors.code` (string, required)
  - `listCourseVideoAssets.response.404.errors.detail` (string, required)
- `listCourseVideoAssets.response.404.retry_after` (integer | null, optional)

### 422

The request was understood and its content is not valid. `errors` names each field.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `listCourseVideoAssets.response.422.type` (string, required)
  - format `uri`
- `listCourseVideoAssets.response.422.title` (string, required)
- `listCourseVideoAssets.response.422.status` (integer, required)
- `listCourseVideoAssets.response.422.code` (string, required)
- `listCourseVideoAssets.response.422.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `listCourseVideoAssets.response.422.detail` (string, required)
- `listCourseVideoAssets.response.422.request_id` (string, required)
- `listCourseVideoAssets.response.422.docs_url` (string, required)
  - format `uri`
- `listCourseVideoAssets.response.422.errors` (array<object>, optional)
  - `listCourseVideoAssets.response.422.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `listCourseVideoAssets.response.422.errors.code` (string, required)
  - `listCourseVideoAssets.response.422.errors.detail` (string, required)
- `listCourseVideoAssets.response.422.retry_after` (integer | null, optional)

### 429

A rate limit or a concurrency cap was reached. `Retry-After` says when to try again.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `listCourseVideoAssets.response.429.type` (string, required)
  - format `uri`
- `listCourseVideoAssets.response.429.title` (string, required)
- `listCourseVideoAssets.response.429.status` (integer, required)
- `listCourseVideoAssets.response.429.code` (string, required)
- `listCourseVideoAssets.response.429.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `listCourseVideoAssets.response.429.detail` (string, required)
- `listCourseVideoAssets.response.429.request_id` (string, required)
- `listCourseVideoAssets.response.429.docs_url` (string, required)
  - format `uri`
- `listCourseVideoAssets.response.429.errors` (array<object>, optional)
  - `listCourseVideoAssets.response.429.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `listCourseVideoAssets.response.429.errors.code` (string, required)
  - `listCourseVideoAssets.response.429.errors.detail` (string, required)
- `listCourseVideoAssets.response.429.retry_after` (integer | null, optional)

### 500

Something failed at our end. Quote `request_id` when reporting it.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `listCourseVideoAssets.response.500.type` (string, required)
  - format `uri`
- `listCourseVideoAssets.response.500.title` (string, required)
- `listCourseVideoAssets.response.500.status` (integer, required)
- `listCourseVideoAssets.response.500.code` (string, required)
- `listCourseVideoAssets.response.500.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `listCourseVideoAssets.response.500.detail` (string, required)
- `listCourseVideoAssets.response.500.request_id` (string, required)
- `listCourseVideoAssets.response.500.docs_url` (string, required)
  - format `uri`
- `listCourseVideoAssets.response.500.errors` (array<object>, optional)
  - `listCourseVideoAssets.response.500.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `listCourseVideoAssets.response.500.errors.code` (string, required)
  - `listCourseVideoAssets.response.500.errors.detail` (string, required)
- `listCourseVideoAssets.response.500.retry_after` (integer | null, optional)


Source: https://docs.quirelms.com/api/files/listCourseVideoAssets/index.md
